/* 
 * Spread Spectrum Parameter 
 *   Generator Polynomial: x^8 + x^4 + x^3 + x^2 + 1 
 *   Generator: 11101 
 *   Maximum Bit: 0x0100 
 *   Exclusive Bit: 0x011d
 */
#define SpreadingRate  (255)  
#define Generator    (11101)
#define MaxBit      (0x0100)
#define XorBit      (0x011d)
#define SF           (44100)
#define ChipWidth        (8)
#define AnalyzeFrame     (1)

struct wave_header{
  char chunkID[4];
  int chunksize;
  char format[4];
  char fmtID[4];
  int fmtsize;
  short waveformat;
  short channel;
  int sample_rate;
  int bps;
  short blocksize;
  short bits;
  char dataID[4];
  int datasize;
};

char * code_generator();
double * modulation(unsigned char *code, int chipwidth);
double *self_correlation(double *self, short *data, int length, int nframes);
void write_wave_header(int fd, int size);






